from django import forms
from .models import Course, CourseRegistration, Invoice, Spreadsheet
from users.models import Person

class CourseFormUnderGrad(forms.ModelForm):
    class Meta:
        model = CourseRegistration
        fields = []

class UploadForm(forms.Form):
    csv_file = forms.FileField(required=False, widget=forms.FileInput(attrs={'class': 'form-control', 'placeholder':
        'Upload "products.csv"', 'help_text': 'Choose a .csv file with products to enter'}))

class InvoiceForm(forms.ModelForm):
    class Meta:
        model = Invoice
        fields = ['undergrad']

class SpreadsheetForm(forms.ModelForm):
    class Meta:
        model = Spreadsheet
        fields = ['session']

class CourseFormHoD(forms.ModelForm):
    class Meta:
        model = Course
        fields = ['course_code', 'course_title', 'credit_unit', 'open', 'level', 'lecturer']
    def __init__(self, *args, **kwargs):
        self.request = kwargs.pop("request") # store value of request
        super().__init__(*args, **kwargs)

        self.fields['lecturer'] = forms.ModelChoiceField(queryset=Person.objects.filter(department__hod=self.request.user))
